/***************************************************************************
                           definitions.h  -  description
                             -------------------
    begin                : Mon Mai 12 2003
    copyright            : (C) 2003 by Dirk Henrici
    email                : henrici@informatik.uni-kl.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of license found in "COPYING".                     *
 *                                                                         *
 ***************************************************************************/

#ifndef DEFINTIONS_H
#define DEFINTIONS_H

using namespace std;
#include <iostream>
#include <cstdlib>
#include <cstring>
#include <sstream>

//Statische Konfiguration fr "frame_memory"

//!Standardgre eines Memorypools
#define CFG_MemPoolStdSize      512*1024
//!Index/Key fr Process-MAlloc-Map
#define CFG_STLShMemIdxAlloc    5000     //beliebige Zahl, die jedoch in eigenen Programmen nicht verwendet werden darf                    


//!Fehlercodes
enum tERROR {
  ERR_OK,             
  ERR_Mutex,
  ERR_NotImplemented
};  

string errcode2str(tERROR err);

#endif
